
QGIS Application - Bug report #20905

crash when flash or external drive is inserted

2019-01-02 08:35 AM - Ronald Keddy Ochen

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.4.1 Regression?: No

Operating System: Windows 8 Pro Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 28724

Description

QGIS crashes every time when flash or external drive is inserted in the computer while the program is running. When the program is

started with a flash drive already inserted in the computer, removing the drive results into the program crashing.

The crash reported generated is copied below!!

Crash ID: 62e7ce134610ef9026ee41ebb2d921a70abb8c1e

Stack Trace

QgsWinNative::initializeMainWindow :

QAbstractEventDispatcher::filterNativeEvent :

IsThreadDesktopComposited :

InSendMessageEx :

RegisterDeviceNotificationW :

KiUserCallbackDispatcher :

PeekMessageW :

PeekMessageW :

PeekMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: 383851c597

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.2.9200
Related issues:

Duplicates QGIS Application - Bug report # 20386: Program crashes in idle phase Closed 2018-11-06

History

#1 - 2019-01-02 11:30 AM - Saber Razmjooei

- Status changed from Open to Feedback

Do you have Browser panel open? If so, could you close it and report back?

#2 - 2019-01-02 12:45 PM - Ronald Keddy Ochen

Saber Razmjooei wrote:

Do you have Browser panel open? If so, could you close it and report back?

Thanks for your response please; I tried closing the Browser panel but the problem remains...

Correction

Am running QGIS version 3.4.1

#3 - 2019-01-02 01:11 PM - Jürgen Fischer

- Resolution set to duplicate

- Affected QGIS version changed from 3.4.3 to 3.4.1

- Status changed from Feedback to Closed

#4 - 2019-01-02 01:12 PM - Jürgen Fischer

- Duplicates Bug report #20386: Program crashes in idle phase added

#5 - 2019-01-02 01:23 PM - Jürgen Fischer

- Subject changed from QGIS 3.4.3 crashes when flash or external drive is inserted to crash when flash or external drive is inserted

- Description updated

#6 - 2019-01-02 01:32 PM - Ronald Keddy Ochen

Correction updates appreciated Sir!!

2024-05-18 2/2


